Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Wire compression not working without MSVC 2010 runtime installation (FB4 Beta1) [CORE6019] #6269

Closed
firebird-issue-importer opened this issue Mar 1, 2019 · 8 comments

Comments

@firebird-issue-importer
Copy link

@firebird-issue-importer firebird-issue-importer commented Mar 1, 2019

Submitted by: michalk1 (michalk1)

Wire compression (WireCompression = true in firebird.conf at client side ) is not working on some older Windows hosts (Win10 1803, Win7). A workaround is to download and install MSVC++ 2010 redistributable package. FB 4 installer contains VC2017 runtime, but wire compression (zlib1.dll ?) is probably still tied to the older version.

Remote TCP connections fail instantly:

isql -user sysdba -password masterkey testhost:employee
Statement failed, SQLSTATE = 08006
Error reading data from the connection.

Local TCP connect succeeds, but it's wire compression is not active, probably because compression fails sooner, already at the client side.

Btw., I'm not sure whether Win XP are still supported, but my attempts to test FB4 Beta1 on them failed. First problem was in installation, which in it's final part displayed several error messages "This application has failed to start because api-ms-win-crt-runtime-l1-1-0.dll was not found.". But even when I fixed it by installation of another MSVC runtime (2015) and the installation completed, I was unable to connect from isql to employee database, FB log file says "Could not find acceptable ICU library".

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Mar 1, 2019

Commented by: @hvlad

I'll rebuild zlib using VS2017

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Mar 1, 2019

Modified by: @hvlad

assignee: Vlad Khorsun [ hvlad ]

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Mar 1, 2019

Commented by: @asfernandes

At early times, ICU has changed from sources to pre-built binary because ICU were too huge.

Now do we still have some criterion for this?

ICU and zlib is pre-built.

tommath and tomcrypt is not.

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Mar 4, 2019

Commented by: @hvlad

michalk1,

please check current snapshot build, it should have updated zlib library.

As for WinXP support - Firebird codebase should be compatible (but there is no guarantee and no tests done).
At least I don't remember breaking changes.

Latest version of ICU, compatible with WinXP is 58.2, according to http://site.icu-project.org/download/58 :

This is the last ICU4C release that works on Windows XP and Windows Vista.

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Mar 4, 2019

Commented by: michalk1 (michalk1)

Thanks Vlad, I downloaded snapshot build 4.0.0.1455 and now I succesfully connect with wire compression turned on, so this issue seems to be fixed.

As for the Win XP, I wasn't able to find suitable ICU library or install it properly. Version 58.2 does not offer 32 bit binaries and when I used older versions (I tried 57 and 52 from FB3 install) and copied these dlls into FB4 root directory, FB complains about incomplete installation. But that's not relevant now and I´m not all that much interested in Win XP anyway.

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Mar 4, 2019

Modified by: @hvlad

status: Open [ 1 ] => Resolved [ 5 ]

resolution: Fixed [ 1 ]

Fix Version: 4.0 Beta 2 [ 10888 ]

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Mar 6, 2019

Modified by: @pavel-zotov

status: Resolved [ 5 ] => Resolved [ 5 ]

QA Status: No test => Cannot be tested

@firebird-issue-importer
Copy link
Author

@firebird-issue-importer firebird-issue-importer commented Mar 6, 2019

Modified by: @pavel-zotov

status: Resolved [ 5 ] => Closed [ 6 ]

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
2 participants